package test;

import java.io.IOException;

import org.apache.lucene.index.IndexReader;
import org.apache.lucene.index.Term;
import org.apache.lucene.index.TermEnum;

public class BrowseIndex {

	private static final String INDEX = "indexes/samples.Employee";
	
	public static void main(String[] args) throws IOException {
		IndexReader reader = IndexReader.open( INDEX );
		TermEnum terms = reader.terms( new Term( "", "" ) );
		do {
			Term term = terms.term();
			if( term == null ) break;
			System.out.println( term.toString() );
		} while( terms.next() );
		reader.close();
	}
}
